export interface Note {
	id: string;
	title: string;
	content: string;
	createdAt: Date;
	updatedAt: Date;
	linksTo?: Note[];
	linkedBy?: Note[];
}

export interface Feed {
	id: string;
	title: string;
	url: string;
	description?: string;
	createdAt: Date;
	updatedAt: Date;
}

export interface ReadLaterItem {
	id: string;
	url: string;
	title: string;
	content: string;
	description: string;
	createdAt: Date;
	updatedAt: Date;
	readAt?: Date;
}

export interface CardAction {
	label: string;
	href?: string;
	onClick?: () => void | Promise<void>;
	isDangerous?: boolean;
}
